Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 125668

Summary: ebuild for qemu cvs-version
Product: Gentoo Linux Reporter: Sven <sven.koehler>
Component: New packagesAssignee: Luca Barbato <lu_zero>
Status: RESOLVED FIXED    
Severity: enhancement CC: m.debruijne
Priority: Lowest Keywords: EBUILD
Version: 2006.0   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Attachments: kqemu-1.3.0_pre3.ebuild
qemu-softmmu-20060310.ebuild

Description Sven 2006-03-09 23:21:22 UTC
Hi,

i've written two ebuilds for qemu (only softmmu so far) and kqemu that allow you to test the newest version from CVS.

I will attach them.
Comment 1 Sven 2006-03-09 23:22:11 UTC
Created attachment 81818 [details]
kqemu-1.3.0_pre3.ebuild
Comment 2 Sven 2006-03-09 23:22:32 UTC
Created attachment 81819 [details]
qemu-softmmu-20060310.ebuild
Comment 3 Sven 2006-03-09 23:26:17 UTC
Download the ebuilds, and put them in your portage overlay in the folder app-emulation.

If you want newer versions (for example kqemu 1.3.0pre4 or qemu-softmmu-20060401) then just rename the ebuilds.

(the versionnumber of the qemu-ebuild is the date, that's used for checkout from CVS)
Comment 4 Kevin F. Quinn (RETIRED) gentoo-dev 2006-03-10 06:15:55 UTC
Hmm; why is this assigned to "maintainer-wanted" with priority P1?  We already have qemu releases in the tree maintained by Luca - I'm re-assigning so he can decide how to resolve this bug.
Comment 5 Sven 2006-03-10 12:05:07 UTC
So i will maintain these ebuilds here if they don't become official part of portage. Actually i needed them, because i wanted to test/benefit from recent improvements/modifications.

P1 - well, it was my mistake i guess. Does it mean high or low priority?
(i wanted to set to lowest priority possible)
Comment 6 Luca Barbato gentoo-dev 2006-03-11 00:15:41 UTC
I'll have an in depth look tomorrow, probably a newer snapshot could be interesting
Comment 7 Kevin F. Quinn (RETIRED) gentoo-dev 2006-03-28 11:05:31 UTC
Luca - kqemu-1.3.0_pre5 just came out which now supports kernel-mode linux virtualisation (pre3 always failed for me no matter what I tried); if you get chance I think now would be a good time for a snapshot :)

BTW you don't need to worry about filtering -pie/-fstack-protector for the kqemu build that's independent of the qemu distribution now.  The hardened stuff automatically switches itself off when building kernel modules via the kernel make system (which the kqemu-1.3.0_pre5 does).  Obviously it's still needed for qemu-softmmu/user.
Comment 8 Luca Barbato gentoo-dev 2006-03-28 12:01:50 UTC
Right, currently I'm a bit afraid of gcc versions and related issues.

I'll try to provide them p.masked within the week

(you are enlisted as early tested obviously)
Comment 9 slynn@granite-mtn.net 2006-04-28 07:15:54 UTC
I've been using the portage masked versions for about 3 weeks now on a WinXP vm with great success. (20060329)

A friend of mine tried to build these today and received an error that:

   qemu-0.8.0-stwbrx.patch does not exist for patch


Sure enough, as of a 4/27 and 4/28 portage sync this file doesn't exist on my machine either.

Otherwise, things are working great.  Thanks for the effort.

Comment 10 Luca Barbato gentoo-dev 2006-05-06 00:52:00 UTC
It should be fixed now and I'm adding 0.8.1 now